%define upstream_name    Data-Morph
%define upstream_version 1.140400

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Provides a Data::Morph backend for talking to objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::Core)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Devel::PartialDump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Params::Validate)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(SQL::Translator) >= 0.110.60
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::Morph is a module that provides a solution for translating data from
one source to another via maps and backends. It is written such that data
can be shifted both directions. The the /SYNOPSIS manpage demonstrates a
somewhat trivial example of using the the Data::Morph::Backend::Object
manpage and the Data::Morph::Backend::Raw manpage that round trips the
defaults out the Foo class to a hash and back again. Not shown is the other
shipped backend the Data::Morph::Backend::DBIC manpage which operates on
the DBIx::Class::Row manpage objects. If a more specialized backend is
needed take a look at consuming the Data::Morph::Role::Backend manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Randomly fails https://rt.cpan.org/Ticket/Display.html?id=85653
rm -f t/01-basic.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.140.400-9.mga10
+ Revision: 2198063
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.140.400-8.mga9
+ Revision: 1802788
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.140.400-7.mga8
+ Revision: 1493653
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.140.400-6.mga7
+ Revision: 1266936
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.140.400-5.mga6
+ Revision: 1024817
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.140.400-4.mga6
+ Revision: 947003
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.140.400-3.mga5
+ Revision: 744763
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.140.400-1.mga5
+ Revision: 588327
- update to 1.140400

* Wed Jan 08 2014 pterjan <pterjan> 1.113.280-4.mga4
+ Revision: 565501
- Disable broken test

* Fri Oct 18 2013 umeabot <umeabot> 1.113.280-3.mga4
+ Revision: 510611
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.113.280-2.mga3
+ Revision: 365393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 24 2011 kharec <kharec> 1.113.280-1.mga2
+ Revision: 171717
- update to 1.113280

* Thu Nov 24 2011 kharec <kharec> 1.113.270-1.mga2
+ Revision: 171612
- imported package perl-Data-Morph


* Thu Nov 24 2011 cpan2dist 1.113270-1mga
- initial mageia release, generated with cpan2dist
